NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::RPOBuilder Class Reference

Represents a RPO builder. More...

Inheritance diagram for NXOpen::Features::RPOBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder NXOpen::Features::HoleFeatureBuilder

Public Types

enum  AssociativityType {
  AssociativityTypeEndPoint, AssociativityTypeArcCenter, AssociativityTypeTangency, AssociativityTypeEndPoint1,
  AssociativityTypeEndPoint2, AssociativityTypeVerticalCenterline1, AssociativityTypeVerticalCenterline2, AssociativityTypeHorizontalCenterline1,
  AssociativityTypeHorizontalCenterline2
}
 Represents the associativity type for a dimension entity. More...
 

Public Member Functions

void ApplyDimensions ()
 Transforms the feature by applying the positioning dimensions
Created in NX3.0.0. More...
 
NXOpen::Features::RPODimensionCreateDimension ()
 Creates a new empty RPODimension object. More...
 
void CreatePositioningDimension ()
 Creates a positioning dimension. More...
 
void GetReferenceDirection (NXOpen::IReferenceAxis **reference, NXOpen::AxisOrientation *orientation)
 Query/Set a horizontal or vertical reference for the feature. More...
 
std::vector
< NXOpen::Features::RPODimension * > 
GetRpoDimensions ()
 Gets the list of RPO dimemsions. More...
 
void HidePositioningDimensions ()
 Hides display of all the positioning dimensions
Created in NX3.0.0. More...
 
void SetExpression (const NXString &expression)
 Sets the expression value in order to constrain the target and tool entities which are set using NXOpen::Features::RPOBuilder::SetTargetAndTool . More...
 
void SetExpression (const char *expression)
 Sets the expression value in order to constrain the target and tool entities which are set using NXOpen::Features::RPOBuilder::SetTargetAndTool . More...
 
void SetReferenceDirection (NXOpen::IReferenceAxis *reference, NXOpen::AxisOrientation orientation)
 Sets a horizontal or vertical reference for the feature. More...
 
void SetRpoDimensions (const std::vector< NXOpen::Features::RPODimension * > &dimensions)
 Sets the list of RPO dimemsions. More...
 
void SetTargetAndTool (NXOpen::PositioningDimension::Subtype subtype, NXOpen::NXObject *target, NXOpen::Features::RPOBuilder::AssociativityType targetAssociativity, const NXOpen::Point3d &targetHelpPoint, NXOpen::NXObject *tool, NXOpen::Features::RPOBuilder::AssociativityType toolAssociativity, const NXOpen::Point3d &toolHelpPoint)
 Sets the target and tool entities. More...
 
void ShowPositioningDimensions ()
 Displays all the positioning dimensions
Created in NX3.0.0. More...
 
void UndoLastDimension ()
 Undo the last positioning dimension
Created in NX3.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a RPO builder.

It provides methods to create positioning dimensions to position the feature which is being created.
This is an abstract class, and cannot be instantiated

Created in NX3.0.0.

Member Enumeration Documentation

Represents the associativity type for a dimension entity.

Enumerator
AssociativityTypeEndPoint 

End-point (determined from 3d help point)

AssociativityTypeArcCenter 

Arc-center.

AssociativityTypeTangency 

Tangency.

AssociativityTypeEndPoint1 

1st end point (at minimum parameter value)

AssociativityTypeEndPoint2 

2nd end point

AssociativityTypeVerticalCenterline1 

vertical centerline end point 1

AssociativityTypeVerticalCenterline2 

vertical centerline end point 2

AssociativityTypeHorizontalCenterline1 

horizontal centerline end point 1

AssociativityTypeHorizontalCenterline2 

horizontal centerline end point 2

Member Function Documentation

void NXOpen::Features::RPOBuilder::ApplyDimensions ( )

Transforms the feature by applying the positioning dimensions
Created in NX3.0.0.



License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

NXOpen::Features::RPODimension* NXOpen::Features::RPOBuilder::CreateDimension ( )

Creates a new empty RPODimension object.

Returns
The RPO dimensions
Created in NX4.0.0.

License requirements : None
void NXOpen::Features::RPOBuilder::CreatePositioningDimension ( )

Creates a positioning dimension.

This is third and the last step in creating a positioning dimension.
Created in NX3.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

void NXOpen::Features::RPOBuilder::GetReferenceDirection ( NXOpen::IReferenceAxis **  reference,
NXOpen::AxisOrientation orientation 
)

Query/Set a horizontal or vertical reference for the feature.

A reference is required to be set before creating a Horizontal or Vertical positioning dimension.
Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
referenceReference entity
orientationOrientation of reference
std::vector<NXOpen::Features::RPODimension *> NXOpen::Features::RPOBuilder::GetRpoDimensions ( )

Gets the list of RPO dimemsions.

Returns
The RPO dimensions
Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
void NXOpen::Features::RPOBuilder::HidePositioningDimensions ( )

Hides display of all the positioning dimensions
Created in NX3.0.0.



License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

void NXOpen::Features::RPOBuilder::SetExpression ( const NXString expression)

Sets the expression value in order to constrain the target and tool entities which are set using NXOpen::Features::RPOBuilder::SetTargetAndTool .

This is the second step in creating a positioning dimension. This step is not needed for NXOpen::PositioningDimension::SubtypePointOntoPoint , NXOpen::PositioningDimension::SubtypePointOntoLine and NXOpen::PositioningDimension::SubtypeLineOntoLine
Created in NX3.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
expressionExpression string
void NXOpen::Features::RPOBuilder::SetExpression ( const char *  expression)

Sets the expression value in order to constrain the target and tool entities which are set using NXOpen::Features::RPOBuilder::SetTargetAndTool .

This is the second step in creating a positioning dimension. This step is not needed for NXOpen::PositioningDimension::SubtypePointOntoPoint , NXOpen::PositioningDimension::SubtypePointOntoLine and NXOpen::PositioningDimension::SubtypeLineOntoLine
Created in NX3.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
expressionExpression string
void NXOpen::Features::RPOBuilder::SetReferenceDirection ( NXOpen::IReferenceAxis reference,
NXOpen::AxisOrientation  orientation 
)

Sets a horizontal or vertical reference for the feature.

A reference is required to be set before creating a NXOpen::PositioningDimension::SubtypeHorizontal or NXOpen::PositioningDimension::SubtypeVertical subtype of positioning dimension.
Created in NX3.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
referenceReference entity
orientationOrientation of reference
void NXOpen::Features::RPOBuilder::SetRpoDimensions ( const std::vector< NXOpen::Features::RPODimension * > &  dimensions)

Sets the list of RPO dimemsions.


Created in NX4.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
dimensionsThe RPO dimensions
void NXOpen::Features::RPOBuilder::SetTargetAndTool ( NXOpen::PositioningDimension::Subtype  subtype,
NXOpen::NXObject target,
NXOpen::Features::RPOBuilder::AssociativityType  targetAssociativity,
const NXOpen::Point3d targetHelpPoint,
NXOpen::NXObject tool,
NXOpen::Features::RPOBuilder::AssociativityType  toolAssociativity,
const NXOpen::Point3d toolHelpPoint 
)

Sets the target and tool entities.

This is the first step in creating a positioning dimension. A positioning dimension constraints two entities. These two entities are referred to as target and tool enitities. The tool entity is selected from the tool body which is being created. For example, if a Pad is being created then the tool entity can be an edge of the Pad. The target entity is an entity which does not belong to the tool body which is being created.


Created in NX3.0.0.

License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

Parameters
subtypeSubtype of dimension
targetTarget entity
targetAssociativityAssociativity for target entity
targetHelpPointHelp point for taregt entity
toolTool entity
toolAssociativityAssociativity for tool entity
toolHelpPointHelp point for tool entity
void NXOpen::Features::RPOBuilder::ShowPositioningDimensions ( )

Displays all the positioning dimensions
Created in NX3.0.0.



License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")

void NXOpen::Features::RPOBuilder::UndoLastDimension ( )

Undo the last positioning dimension
Created in NX3.0.0.



License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.